/*---------------------------------------------------------------------------*
  Project:  MicTest - sample2
  File:     canvas.h

  Copyright 2003-2008 Nintendo. All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law. They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

 *---------------------------------------------------------------------------*/

#ifndef CANVAS_H
#define CANVAS_H

#include <nnsys/g2d.h>

/*-----------------------------------------------------------------------*
                    Declarations of types and constants
 *-----------------------------------------------------------------------*/
#define TXT_DRAWTEXT_FLAG_DEFAULT   (NNS_G2D_VERTICALORIGIN_TOP | NNS_G2D_HORIZONTALORIGIN_LEFT | NNS_G2D_HORIZONTALALIGN_CENTER)
#define OBJ_PAL_SIZE  6
enum{
    OBJ_COLOR_WHITE=0,
    OBJ_COLOR_BLACK,
    OBJ_COLOR_RED1,
    OBJ_COLOR_RED2,
    OBJ_COLOR_RED3,
    OBJ_COLOR_RED4,
    OBJ_COLOR_MAX
};

/*-----------------------------------------------------------------------*
                    Global variable definitions
 *-----------------------------------------------------------------------*/

/*-----------------------------------------------------------------------*
                    Declarations external to functions
 *-----------------------------------------------------------------------*/
NNSG2dFont*  Retfont();
u16*  GetObjPalette();

#endif
