/*---------------------------------------------------------------------------*
  Project:  MicTest - sample2
  File:     Memory.h

  Copyright 2003-2008 Nintendo. All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law. They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

 *---------------------------------------------------------------------------*/
#ifndef MEMORY_H
#define MEMORY_H

#include <nnsys/fnd.h>

/*---------------------------------------------------------------------------*
    Initialization-related.
 *---------------------------------------------------------------------------*/
void mem_init();

/*---------------------------------------------------------------------------*
    Other
 *---------------------------------------------------------------------------*/

extern NNSFndHeapHandle       gHeapHandle;      // the heap handle

void* mem_alloc(const u32, const int );
void  mem_free(void*);

inline void Dump_Heep()
{
    OS_TPrintf("size=%d\n", NNS_FndGetTotalFreeSizeForExpHeap(gHeapHandle));
}


#endif  //MEMORY_H
