/*---------------------------------------------------------------------------*
  Project:  MicTest - sample2
  File:     tp.h

  Copyright 2003-2008 Nintendo. All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law. They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

 *---------------------------------------------------------------------------*/

#ifndef TP_H
#define TP_H

//--------------------------------------------------------------
// Definitions of the position and size of the "Return" OBJ
#define OBJ_WIDTH_DN     8
#define OBJ_HEIGHT_DN    3
#define OBJ_POS_X_DN     8
#define OBJ_POS_Y_DN   160

enum
{
    TOUCH_NONE = 0,
    TOUCH_ON_TRG,
    TOUCH_OFF_TRG
};

/*-----------------------------------------------------------------------*
                    Declarations external to functions
 *-----------------------------------------------------------------------*/
void tp_init();
void tp_start();
u16  tp_main();
void tp_end();

#endif
