/*---------------------------------------------------------------------------*
  Project:  MicTest - sample2
  File:     canvas.c

  Copyright 2003-2008 Nintendo. All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law. They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

 *---------------------------------------------------------------------------*/
#include "canvas.h"

//--------------------------------------------------------------
static NNSG2dFont              gFont;          // Font

static const u16 ObjPalette[OBJ_PAL_SIZE]=
{
    0xffff,  0,         // Black
    GX_RGB(31,  0,  0), // Red
    GX_RGB(31,  8,  8),
    GX_RGB(31, 16, 16),
    GX_RGB(31, 24, 24),
};

//--------------------------------------------------------------
NNSG2dFont* Retfont()
{
    return  &gFont;
}

//--------------------------------------------------------------
u16* GetObjPalette()
{
    return  (u16*)ObjPalette;
}
